> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/entity-descriptions/competitor-profile-endpoint/endpoint.md).

# Endpoint

The competitor profile endpoint returns the competitor's information who can take part in a tournament. Here, a competitor can be a player or a team. When a player ID is provided as input, this endpoint returns the player's information, including their name, nationality, gender, associated sport, and category.

&#x20;**Endpoint Parameters**

| Parameter                                                 | Description                               | Possible Values                                                                                          |
| --------------------------------------------------------- | ----------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| <p><em>language</em></p><p><strong>Required</strong></p>  | Language code for translation.            | See all supported languages and their codes on [language support](/uof/introduction/language-support.md) |
| <p><em>urn\_type</em></p><p><strong>Required</strong></p> | The type of event to look up.             | competitor, simple\_team                                                                                 |
| <p><em>match\_id</em></p><p><strong>Required</strong></p> | The ID of the competitor (team or player) | E.g: 92877 ; 92877 corresponds to a player ID and                                                        |

<a href="https://iodocs.betradar.com/?urls.primaryName=Unified%20Feed%20Integration#/Entity%20descriptions/competitorInformation" class="button primary">Try the API</a>

## Competitor information

> Name and details about a competitor (team, tennis player, race driver etc.). \<a href='<https://dzl1t0mywwxpa.cloudfront.net/xsd/endpoints/unified/competitor\\_profile.xsd>' target='\_blank'>xml schema\</a>

```json
{"openapi":"3.0.3","info":{"title":"Betradar API","version":"1.0.0"},"servers":[{"url":"https://global.api.betradar.com/v1"}],"security":[{"key":[]}],"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/sports/{language}/competitors/sr:{urn_type}:{id}/profile.xml":{"get":{"summary":"Competitor information","description":"Name and details about a competitor (team, tennis player, race driver etc.). <a href='https://dzl1t0mywwxpa.cloudfront.net/xsd/endpoints/unified/competitor_profile.xsd' target='_blank'>xml schema</a>","operationId":"competitorInformation","tags":["Entity descriptions"],"parameters":[{"name":"language","description":"Language code for translation.","in":"path","required":true,"schema":{"type":"string"},"default":"en"},{"name":"urn_type","description":"Choose if you want to look for a team or a competitor","in":"path","required":true,"schema":{"type":"string","enum":["competitor","simple_team"]},"default":"competitor"},{"name":"id","description":"The ID for the competitior.","in":"path","required":true,"schema":{"type":"integer"},"default":245739}],"responses":{"200":{"description":"successful operation","content":{"application/xml":{}}},"401":{"description":"Unauthorized","content":{"application/json":{}}},"403":{"description":"Access denied","content":{"application/json":{}}},"500":{"description":"Internal server error","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/entity-descriptions/competitor-profile-endpoint/endpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
